RagTimeText Class Reference

the main class to read the text part of ragTime file More...

`#include <RagTimeText.hxx>`

## Public Member Functions

| RagTimeText (RagTimeParser &parser)
| constructor
virtual | ~RagTimeText ()
| destructor
int | version () const
| returns the file version
int | getFontId (int localId) const
| returns a mac font id corresponding to a local id
bool | getCharStyle (int charId, MWAWFont &font) const
| returns font style corresponding to a char style id

## Protected Member Functions

bool | readFontNames (MWAWEntry &entry)
| try to read the font name: the FHFo structure: FileH?Font zone
bool | readCharProperties (MWAWEntry &entry)
| try to read the character properties zone: FHsl zone
bool | readTextZone (MWAWEntry &entry, int width, MWAWColor const &fontColor=MWAWColor::black())
| try to read a text zone (knowing the zone width in point and the font color)
bool | readFonts (RagTimeTextInternal::TextZone &zone, MWAWColor const &color, long endPos)
| try to read the character properties (knowing the font color)
bool | readParagraphs (RagTimeTextInternal::TextZone &zone, int width, long endPos)
| try to read the paragraph properties (knowing the zone width in point used to determine the right margin)
bool | readTokens (RagTimeTextInternal::TextZone &zone, long endPos)
| try to read the token zones
bool | send (int id, MWAWListenerPtr listener)
| try to send a text zone
void | flushExtra ()
| flush extra zone
bool | send (RagTimeTextInternal::TextZone const &zone, MWAWListenerPtr listener)
| try to send a text zone

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< RagTimeTextInternal::State > | m_state
| the state
RagTimeParser * | m_mainParser
| the main parser;

## Private Member Functions

| RagTimeText (RagTimeText const &orig)=delete
RagTimeText & | operator= (RagTimeText const &orig)=delete

## Friends

class | RagTimeParser

## Detailed Description

the main class to read the text part of ragTime file

## Constructor & Destructor Documentation

## RagTimeText() [1/2]

RagTimeText::RagTimeText | ( | RagTimeParser & | parser | ) |

explicit

constructor

Referenced by operator=(), and RagTimeText().

## ~RagTimeText()

RagTimeText::~RagTimeText | ( |  | ) |

virtual

destructor

## RagTimeText() [2/2]

RagTimeText::RagTimeText | ( | RagTimeText const & | orig | ) |

private delete

## Member Function Documentation

## flushExtra()

void RagTimeText::flushExtra | ( |  | ) |

protected

flush extra zone

## getCharStyle()

bool RagTimeText::getCharStyle | ( | int | charId,
|  | MWAWFont & | font ) const

returns font style corresponding to a char style id

## getFontId()

int RagTimeText::getFontId | ( | int | localId | ) | const

returns a mac font id corresponding to a local id

Referenced by readCharProperties(), and readFonts().

## operator=()

RagTimeText & RagTimeText::operator= | ( | RagTimeText const & | orig | ) |

private delete

## readCharProperties()

bool RagTimeText::readCharProperties | ( | MWAWEntry & | entry | ) |

protected

try to read the character properties zone: FHsl zone

## readFontNames()

bool RagTimeText::readFontNames | ( | MWAWEntry & | entry | ) |

protected

try to read the font name: the FHFo structure: FileH?Font zone

## readFonts()

bool RagTimeText::readFonts | ( | RagTimeTextInternal::TextZone & | zone,
|  | MWAWColor const & | color,
|  | long | endPos )

protected

try to read the character properties (knowing the font color)

Referenced by readTextZone().

## readParagraphs()

bool RagTimeText::readParagraphs | ( | RagTimeTextInternal::TextZone & | zone,
|  | int | width,
|  | long | endPos )

protected

try to read the paragraph properties (knowing the zone width in point used to determine the right margin)

Referenced by readTextZone().

## readTextZone()

bool RagTimeText::readTextZone | ( | MWAWEntry & | entry,
|  | int | width,
|  | MWAWColor const & | fontColor = MWAWColor::black() )

protected

try to read a text zone (knowing the zone width in point and the font color)

## readTokens()

bool RagTimeText::readTokens | ( | RagTimeTextInternal::TextZone & | zone,
|  | long | endPos )

protected

try to read the token zones

Referenced by readTextZone().

## send() [1/2]

bool RagTimeText::send | ( | int | id,
|  | MWAWListenerPtr | listener )

protected

try to send a text zone

Referenced by flushExtra(), and send().

## send() [2/2]

bool RagTimeText::send | ( | RagTimeTextInternal::TextZone const & | zone,
|  | MWAWListenerPtr | listener )

protected

try to send a text zone

## version()

int RagTimeText::version | ( |  | ) | const

returns the file version

Referenced by readFonts(), readParagraphs(), readTextZone(), readTokens(), and send().

## Friends And Related Symbol Documentation

## RagTimeParser

friend class RagTimeParser

friend

Referenced by RagTimeParser, and RagTimeText().

## Member Data Documentation

## m_mainParser

RagTimeParser* RagTimeText::m_mainParser

protected

the main parser;

Referenced by RagTimeText(), readFonts(), readTextZone(), and readTokens().

## m_parserState

MWAWParserStatePtr RagTimeText::m_parserState

protected

the parser state

Referenced by flushExtra(), RagTimeText(), readCharProperties(), readFontNames(), readFonts(), readParagraphs(), readTextZone(), readTokens(), send(), and version().

## m_state

std::shared_ptr<RagTimeTextInternal::State> RagTimeText::m_state

protected

the state

Referenced by flushExtra(), getCharStyle(), getFontId(), RagTimeText(), readCharProperties(), readFontNames(), readFonts(), readTextZone(), send(), and version().

The documentation for this class was generated from the following files:

- RagTimeText.hxx
- RagTimeText.cxx